cURL
curl --request POST \ --url https://solana-gateway.moralis.io/token/{network}/prices \ --header 'Content-Type: application/json' \ --header 'X-Api-Key: <api-key>' \ --data ' { "addresses": [ "<string>" ] } '
[ { "tokenAddress": "<string>", "pairAddress": "<string>", "nativePrice": { "value": "<string>", "decimals": 123, "name": "<string>", "symbol": "<string>" }, "usdPrice": 123, "exchangeAddress": "<string>", "exchangeName": "<string>", "logo": "<string>", "name": "<string>", "symbol": "<string>", "score": 123, "usdPrice24h": 123, "usdPrice24hrUsdChange": 123, "usdPrice24hrPercentChange": 123, "isVerifiedContract": true } ]
Gets the token price (usd and native) for a given contract address and network.
Documentation IndexFetch the complete documentation index at: https://docs.moralis.com/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.moralis.com/llms.txt
Use this file to discover all available pages before exploring further.
The network to query
mainnet
devnet
1 - 100